/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy, OnChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
interface CaseSummaryProps {
    status?: string;
    showStatus?: boolean;
    template?: string;
    readOnly?: boolean;
}
export declare class CaseSummaryComponent implements OnInit, OnDestroy, OnChanges {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: CaseSummaryProps;
    arChildren$: any[];
    status$?: string;
    bShowStatus$?: boolean;
    primaryFields$: any[];
    secondaryFields$: any[];
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initComponent(): void;
    onStateChange(): void;
    updateSelf(): void;
    ngOnChanges(): void;
    generatePrimaryAndSecondaryFields(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseSummaryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseSummaryComponent, "app-case-summary", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
